package com.enteprise.attract_inv.controller;

import com.enteprise.attract_inv.domain.AttractInv;
import com.enteprise.attract_inv.domain.dto.AttractInvReturnDto;
import com.enteprise.attract_inv.service.IAttractInvService;
import com.enteprise.common.core.controller.BaseController;
import com.enteprise.common.core.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.Collections;

@RestController
@RequestMapping("/attractInv/attractInv")
public class AttractInvController extends BaseController {
    @Autowired
    private IAttractInvService attractInvService;

    @PreAuthorize("@ss.hasPermi('attractInv:attractInv:list')")
    @PostMapping("/analysis")
    public TableDataInfo analysis(@RequestBody AttractInv attractInv)
    {
        AttractInvReturnDto data = attractInvService.getData(attractInv);
        ArrayList<AttractInvReturnDto> list = new ArrayList<>();
        list.add(data);
        return getDataTable(list);
    }
}
